using System;

class Program {
  public static void Main (string[] args) {
    string s = Console.ReadLine();
    string[] s1 = Console.ReadLine().Split();
    string c1 = Convert.ToString(s[0]);
    string c2 = Convert.ToString(s[1]);
    int a1 = int.Parse(s1[0]);
    int a2 = int.Parse(s1[1]);
    if(Math.Abs(a1 - a2) == 1 || a1 == a2)
    {
      for(int i = 0;i < Math.Min(a1, a2);i++) Console.Write(c1+c2);
      if(a1 > a2) Console.Write(c1);
      else if (a2 > a1) Console.Write(c2);
      Console.WriteLine();
    }
    else Console.WriteLine("nemoguce");
  }
}